<html>
<head>
    <title>jQuery News Ticker</title>
	<style>
		#ticker{line-height: 1.8em;max-width:600px;background-color:#333;color:#FFF;overflow:hidden;min-height:40px;}
		.news-list{padding:0;margin:0;position:relative;list-style-type:none;}
		.news-list li{position:absolute;white-space: nowrap;display:none;}
	</style>
	<script src="http://code.jquery.com/jquery-1.10.2.js"></script>
	<script src="news-ticker.js"></script>
</head>
<body>
<div id="ticker">
	<ul class="news-list">
		<li>"You've gotta dance like there's nobody watching, Love like you'll never be hurt, Sing like there's nobody listening, And live like it's heaven on earth" - <strong><i>William W. Purkey</i></strong></li>
		<li>"Be the change that you wish to see in the world." - <strong><i>Mahatma Gandhi</i></strong></li>
		<li>"There are only two ways to live your life. One is as though nothing is a miracle. The other is as though everything is a miracle." - <strong><i>Albert Einstein</i></strong></li>
	</ul>
</div>
<script>
var ticker = $("#ticker");
var t;

var li_count = 1;
var li_length = $("ul.news-list li").length;
					
var li = $("li").first();

var runTicker = function(trans_width) {
	$(li).css({"left":+trans_width+"px"});
	t = setInterval(function(){
		if (parseInt($(li).css("left")) > -$(li).width()) {
			$(li).css({"left":parseInt($(li).css("left")) - 1 + "px","display":"block"});
		} else {
			clearInterval(t);
			trans_width = ticker.width();
			li = $(li).next();				
			if(li_count == li_length){
				li_count = 1;
				li = $("li").first();
				runTicker(trans_width);
			} else if (li_count < li_length) {
				li_count++;
				setTimeout(function(){
				runTicker(trans_width);
				},500);					
			}
		}
	},5);	
}	
$(ticker).hover(function(){
	clearInterval(t);
},
function(){
	runTicker(parseInt($(li).css("left")));
});
runTicker(ticker.width());
</script>
</body>
</html>